// pages/login/login.js
const app = getApp()
const defaultAvatarUrl = 'https://mmbiz.qpic.cn/mmbiz/icTdbqWNOwNRna42FI242Lcia07jQodd2FJGIYQfG0LAJGFxM4FbnQP6yfMxBgJ0F3YRqJCJ1aPAK2dQagdusBZg/0'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '个人中心', leftArrow: false, useBar: false },
    // 主体高度
    infoHeight: '',
    avatarUrl: defaultAvatarUrl,
    userInfo: {},
    routerList: [
      { icon: 'icon-quxiantongxunlu', title: '区县人员', router: 'county' },
      { icon: 'icon-bangdingweixin', title: '绑定微信', router: '', is_routine: '1' },
      { icon: 'icon-xiugaimima', title: '修改密码', router: 'password', },
      { icon: 'icon-tuichudenglu', title: '退出登录', router: 'login' },
    ]
  },
  // 获取头像
  onChooseAvatar(e) {
    const { avatarUrl } = e.detail;
    this.setData({ avatarUrl })
  },
  // 跳转页面
  toPath: function (e) {
    const { data } = e.currentTarget.dataset;
    if (data.is_routine && data.is_routine == '1') {
      wx.showToast({ title: `绑定微信成功`, icon: 'success', duration: 2000 })
    } else {
      wx.navigateTo({ url: `/pages/${data.router}/index` })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
    let userInfo = app.globalData.userInfo;
    if (userInfo) this.setData({ userInfo: userInfo })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})